Bug 203311 - X server fails to start - unsupported version 0 of Verneed record
Summary: X server fails to start - unsupported version 0 of Verneed record
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-21 02:28 UTC by Felix Luk
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-25 15:32:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Felix Luk 2006-08-21 02:28:18 UTC
Description of problem: X does not start. Returns the error message "X: error
while loading shared libraries: /usr/lib/libXfont.so.1: unsupported version 0 of
Verneed record"


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Start Fedora or run "startx"
2.
3.
  
Actual results: Error occurs - message "X: error while loading shared libraries:
/usr/lib/libXfont.so.1: unsupported version 0 of Verneed record"


Expected results: X starts


Additional info: Content of xorg.conf

# XFree86 4 configuration created by pyxf86config

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
# RgbPath is the location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.


        FontPath     "unix/:7100"
EndSection

Section "Module"
        Load  "dbe"
        Load  "extmod"
        Load  "fbdevhw"
        Load  "glx"
        Load  "record"
        Load  "freetype"
        Load  "type1"
        Load  "dri"
EndSection

Section "InputDevice"
# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#       Option  "Xleds"         "1 2 3"

# To disable the XKEYBOARD extension, uncomment XkbDisable.
#       Option  "XkbDisable"

# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#       Option  "XkbModel"      "pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#       Option  "XkbModel"      "microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#       Option  "XkbLayout"     "de"
# or:
#       Option  "XkbLayout"     "de"
#       Option  "XkbVariant"    "nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#       Option  "XkbOptions"    "ctrl:swapcaps"
# Or if you just want both to be control, use:
#       Option  "XkbOptions"    "ctrl:nocaps"
#
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "yes"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "hp L1702"
        DisplaySize  340        270
        HorizSync    30.0 - 54.0
        VertRefresh  50.0 - 110.0
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "savage"
        VendorName  "Videocard vendor"
        BoardName   "S3 ProSavage KM133"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     16
        SubSection "Display"
                Viewport   0 0
                Depth     16
                Modes    "1024x768" "800x600" "640x480"
        EndSubSection
EndSection

Section "DRI"
        Group        0
        Mode         0666
EndSection

Comment 1 Felix Luk 2006-08-21 02:29:45 UTC
/usr/lib/libXfont.so.1 is linked to libXfont.so.1.4.1

Comment 2 Adam Jackson 2006-08-21 18:27:10 UTC
What does 'rpm -vV libXfont' print?

Comment 3 Felix Luk 2006-08-22 01:05:57 UTC
Output of "rpm -vV libXfont":

........    /usr/lib
........    /usr/lib/libXfont.so.1
..5.....    /usr/lib/libXfont.so.1.4.1
........    /usr/share/doc/libXfont-1.0.0
........  d /usr/share/doc/libXfont-1.0.0/AUTHORS
........  d /usr/share/doc/libXfont-1.0.0/COPYING
........  d /usr/share/doc/libXfont-1.0.0/ChangeLog

Comment 4 Adam Jackson 2006-08-22 14:19:01 UTC
The '5' seems to indicate that your libXfont got corrupted somehow.  Doing:

rpm -e --nodeps libXfont
yum install libXfont

should improve matters.

Comment 5 Felix Luk 2006-08-24 02:31:35 UTC
I followed the fix yesterday and something odd happened. After I completed the
instructions and ran startx, I got this error:

Could not init font path element unix/:7100, removing from list!

Fatal server error:
could not open default font 'fixed'


However when the box was switched on today X Window started fine. There seems to
be no errors in Xorg.0.log

Very strange.

Comment 6 Adam Jackson 2006-08-25 15:32:54 UTC
Claimed working for reporter, closing.  Please reopen if this issue reoccurs.


Note You need to log in before you can comment on or make changes to this bug.